Runs
A run is a specific execution of a pipeline at a specific point in time. A run is made up of multiple tasks that all execute according to their dependency on each other.
List all runs
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runsReturns a list of all runs by pipeline id.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | integer | no | |
offset | integer | no | |
reverse | boolean | no | |
since | integer | no | Only return runs created at or after this time, in epoch milliseconds. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListRunsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Start a run of a particular pipeline
POST
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Request body (required): StartRunRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | StartRunResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get run by id
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetRunResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Cancel a run by id
DELETE
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Responses